<template>
	<div class="ln_chatright_coverall">
		<div class="p-3">
			<div class="call">
				<div class="call_aside width_25per left">
					<div class="base_block mb-3">
						<h5 class="ln_h5_borbot p-3">{{$store.state.locale.busyFreeOperators}}</h5>
						<div class="ln_crm_left_1_cover pl-3">
							<div class="ln_crm_left_1" v-for="(items, key) in opersList">
								<div class="ln_crm___col_1"
									 :class="(items.status === 'Receiving')
									 ? 'bg_green'
									 : (items.status === 'In a queue call')
									 ? 'bg_green'
									 : (items.status === 'On Break')
									 ? 'bg_yellow'
									 : 'bg_grey'">
									<img class="ln_crm___col_1_img" src="img/torn.png" alt="" v-if="items.status === 'Receiving'">
								</div>
								<p class="font_16_medium">{{items.name}}</p>
							</div>
						</div>
					</div>
					<div class="base_block mb-3">
						<h5 class="ln_h5_borbot p-3">{{$store.state.locale.callLine}}</h5>
						<div class="ln_crm_turn_1_cover pl-3">

							<div class="ln_crm_turn_1" v-for="(items, key) in membersList">
								<div class="d-flex align-items-center">
									<p class="font_16_medium_gr min_width_15px mr-1">{{key + 1}}</p>
									<p class="font_16_medium">{{items.name}}</p>
								</div>
								<p class="font_16_medium_gr">({{items.inStatusTime}})</p>
							</div>

						</div>
					</div>
				</div>
				<div class="call_main width_75per px-3">

					<div class="ln_chatright right--350px">
						<span class="mdi mdi-close" @click="closeBar">
						</span>
						<div class="ln_chatright_cover_relet" data-tab>
							<div class="call_main_ttl">
								<button type="button" class="btn add_right_databtn active" data-tab-btn>F.A.Q</button>
								<button type="button" class="btn add_right_databtn" data-tab-btn>{{$store.state.locale.socialSite}}</button>
								<button type="button" class="btn add_right_databtn" data-tab-btn>{{$store.state.locale.contacts}}</button>
							</div>
							<div class="call_discuss_pane active" data-tab-pane>
								<div class="pl-3 pr-3 button_wrap" v-if="!faqShown">
									<button type="button"
											class="btn btn-outline-primary custom_style"
											@click="getFaq(items.id)"
											v-for="(items, key) in faqCategory">
										{{items.name}}
									</button>
								</div>
								<div class="ln_tab_faq_tab1 pl-3 pr-3" v-if="faqShown">
									<form>
										<div class="form-group mt-3 mb-3 ln_searchin">
											<input class="form-control base_input" v-model="search">
											<span class="ln_searchin_icon">
											<i class="mdi mdi-magnify" aria-hidden="true"></i>
										</span>
										</div>
									</form>

									<div class="accordion ln_accordion" id="accordionExample">
										<div class="card" v-for="(items, key) in filteredClients">
											<div class="card-header" id="headingTwo">
												<h2 class="mb-0">
													<button class="btn btn-link collapsed" type="button" data-toggle="collapse"
															:data-target="'#collapseOne' + items.id" aria-expanded="false" aria-controls="collapseTwo">
														<div class="ln_accordion_btn_in">
															<p>{{items.question}}</p>
															<span class="mdi mdi-menu-down"></span>
														</div>
													</button>
												</h2>
											</div>
											<div :id="'collapseOne' + items.id" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
												<div class="card-body">
													{{items.answer}}
												</div>
											</div>
										</div>
									</div>

								</div>
							</div>
							<div class="call_discuss_pane" data-tab-pane>
								<div class="ln_supercover pl-3 pr-3">
									<div v-for="(items,key) in dealList">
										<div class="ln_supercover_1">
											<p class="font_16_medium_gr ln_supercover_1_pp">{{items.text}}</p>
											<div class="ln_supercover_122">
												<div class="ln_supercover_1_1 bg_yellow" style="cursor: pointer" @click="action = 3; isInput = items.id">
													<img src="/img/СМС.svg" alt="">
												</div>
												<div class="ln_supercover_1_1 bg_red" style="cursor: pointer" @click="action = 2; isInput = items.id">
													<img src="/img/gmail.svg" alt="">
												</div>
												<div class="ln_supercover_1_1 bg_blue" style="cursor: pointer" @click="action = 1; isInput = items.id">
													<img src="/img/XMLID_496_.svg" alt="">
												</div>
											</div>
										</div>
										<div class="input-group mb-3" v-if="isInput === items.id">
											<template v-if="action === 1 || action === 3">
												<input type="text" v-model="userPhone" class="form-control"
													   placeholder="909999999" aria-label="Recipient's username" aria-describedby="basic-addon2">
											</template>
											<template v-else>
												<input type="text" v-model="userEmail" class="form-control"
													   placeholder="example@gmail.com" aria-label="Recipient's username" aria-describedby="basic-addon2">
											</template>

											<div class="input-group-append">
												<button class="btn btn-outline-secondary " @click="send(items.text, action)" type="button">{{$store.state.locale.send}}</button>
											</div>
										</div>
									</div>


								</div>
							</div>
							<div class="call_discuss_pane" data-tab-pane>
								<div class="pl-3 pr-3">
									<div class="ln_director" v-for="(items, key) in contactsList">
										<div class="ln_director_left">
											<h6 class="font_16_medium">{{items.position}}</h6>
										</div>
										<div class="ln_number_wrapper" style="margin-bottom: 5px" @click="call(items.number)">
											<p class="ln_font14_000">{{items.number}}</p>
											<div class="ln_director_right" style="cursor: pointer">
												<i class="mdi mdi-phone"></i>
											</div>
										</div>
										<div class="ln_number_wrapper" @click="call(items.numberInside)">
											<p class="ln_font14_000">{{items.numberInside}}</p>
											<div class="ln_director_right" style="cursor: pointer">
												<i class="mdi mdi-phone"></i>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>

					<div class="base_block mb-3 minheight_100px">
						<div class="p-3">
							<h5 class="font_16_medium">{{org.name}}</h5>
						</div>
					</div>
					<div class="d-flex width_100per">
						<div class="width_40per pr-2">
							<div class="base_block mb-3 p-3">
								<div class="ln_artel" v-for="(items, key) in introList">
									{{items[`text${lang}`]}}
								</div>
							</div>
						</div>
						<div class="width_60per pl-2">
							<div class="base_block mb-3 ln_tab_faq ln_tab_faq_2">
								<div class="" data-tab>
									<div class="call_main_ttl">
										<button type="button" class="btn active" data-tab-btn>{{$store.state.locale.history}}</button>
										<button type="button" class="btn" data-tab-btn>{{$store.state.locale.tickets}}</button>
									</div>
									<div class="call_discuss_pane active" data-tab-pane>
										<div class="ln_tab_faq_tab1 pl-3 pr-3">

											<div class="ln_history_1" v-for="(items, key) in historyList">
												<div class="d-flex align-items-center">
													<h5 class="font_16_medium mr-4">{{items.dateTime | formatDateSecond}}</h5>
													<h5 class="font_16_medium">{{items.deadline | formatDateSecond}}</h5>
												</div>
												<div class="d-flex align-items-center flex-wrap pt-2">
													<h5 class="histoyry_grey_font">{{$store.state.locale.category}}:</h5>
													<h5 class="font_16_medium mr-4">{{getCat(items.categoryIds)}}</h5>
													<h5 class="histoyry_grey_font">{{$store.state.locale.status}}:</h5>
													<p class="histoyry_green_font">
														{{statusGet(items.status)}}
													</p>
												</div>
											</div>
										</div>
									</div>
									<div class="call_discuss_pane" data-tab-pane>
										<div class="p-3">
											<div class="mb-3 ">
												<div class="call_asd_lbl">
													<div class="txt">{{$store.state.locale.theme}}</div>
												</div>
												<multiselect
														:tabindex="1"
														class="base_multiselect"
														placeholder="Select or search"
														v-model="request.categoryIds"
														:multiple="true"
														:options="categoryList"
														:close-on-select="true"
														:searchable="true"
														:clear-on-select="false"
														:show-labels="false"
														:show-pointer="true"
														label="name"
														track-by="id"

												>
													<span slot="noOptions">Nothing found</span>
												</multiselect>
											</div>
											<div class="call_note_editor">
												<ckeditor :editor="editor" v-model="request.notes" :config="editorConfig"></ckeditor>
											</div>
											<div class="mt-3 ">
												<div class="call_asd_lbl">
													<div class="txt">{{$store.state.locale.forWhom}}</div>
												</div>
												<multiselect
														:tabindex="1"
														class="base_multiselect"
														placeholder="Select or search"
														v-model="request.departmentIds"
														:options="departmentList"
														:close-on-select="true"
														:searchable="true"
														:clear-on-select="false"
														:show-labels="false"
														:show-pointer="true"
														:multiple="true"
														label="name"
														track-by="id"

												>
													<span slot="noOptions">Nothing found</span>
												</multiselect>
											</div>
											<div class="mt-3">
												<div class="call_asd_lbl">
													<div class="txt">{{$store.state.locale.deadline}}</div>
												</div>
												<datepicker
														v-model="request.deadline"
														:config="options">
												</datepicker>
											</div>
											<div class="ln_cover_radiobtn">
												<div class="custom-control custom-radio">
													<input type="radio" id="customRadio1" v-model="request.status" name="customRadio" :value="1" class="custom-control-input">
													<label class="custom-control-label" for="customRadio1">{{$store.state.locale.new}}</label>
												</div>
												<div class="custom-control custom-radio">
													<input type="radio" id="customRadio2" v-model="request.status" name="customRadio" :value="6" class="custom-control-input">
													<label class="custom-control-label" for="customRadio2">{{$store.state.locale.inProcess}}</label>
												</div>
												<div class="custom-control custom-radio">
													<input type="radio" id="dfd" v-model="request.status" name="customRadio" :value="3" class="custom-control-input">
													<label class="custom-control-label" for="dfd">{{$store.state.locale.close}}</label>
												</div>
											</div>
											<hr class="call_asd_group_hr">
											<div class="d-flex justify-content-end">
												<button type="submit" class="btn call_save_btn" @click="saveTicket">{{$store.state.locale.save}}</button>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<form @submit.prevent="">
						<div class="base_block mb-3">
							<div class="p-3">
								<div class="call_note_editor">
									<ckeditor :editor="editor" v-model="request.notes" :config="editorConfig"></ckeditor>
								</div>
								<div style="margin-top: 20px;">
									<vue-tags v-model="request.tags">
										<div class="base_tags" slot-scope="{tag, removeTag, inputEventHandlers, inputBindings}">
											<div class="base_tag" v-for="tag in request.tags">
												<div class="base_tag_inner">
													<div class="txt"> {{ tag }}</div>
													<button type="button" class="remove" v-on:click="removeTag(tag)">
														<i class="mdi mdi-window-close"></i>
													</button>
												</div>
											</div>

											<input class="base_tag_input" placeholder="Add tag..." v-on="inputEventHandlers" v-bind="inputBindings">
										</div>
									</vue-tags>
								</div>
								<hr class="call_asd_group_hr">
								<div class="d-flex justify-content-end">
									<button type="submit" class="btn call_save_btn" @click="saveTags">{{$store.state.locale.save}}</button>
								</div>
							</div>
						</div>

					</form>
				</div>
			</div>
		</div>
	</div>
</template>

<script src="./script.js">

</script>

<style scoped>
	.custom_style {
		/*background-color: #42CBEE;*/
		color: #42CBEE;
		border-color: #42CBEE;
		display: block;
		width: 50%;
	}

	.custom_style:hover {
		color: #fff;
		background-color: #42CBEE;
		border-color: #42CBEE;
	}

	.button_wrap {
		display: flex;
		flex-wrap: wrap;
	}

	.custom_style:focus {
		box-shadow: none;
		color: #fff;
		background-color: #42CBEE;
		border-color: #42CBEE;
	}

	.custom_style:active {
		box-shadow: none;
		color: #fff;
		background-color: #42CBEE !important;
		border-color: #42CBEE !important;
	}
</style>